require_relative "helper"

class Signup < Scrivener
  attr_accessor :password
  attr_accessor :password_confirmation

  def validate
    assert_confirmation :password
  end
end

test "invalid if confirmation and attribute are not equal" do
  signup = Signup.new(password: "!", password_confirmation: "?")

  assert !(signup.valid?)
  assert_equal [:not_confirmed], signup.errors[:password]
end

test "valid if confirmation and attribute are equal" do
  signup = Signup.new(password: "!", password_confirmation: "!")

  assert signup.valid?
  assert signup.errors.empty?
end
